Skip to content

Finish Deployment

POST
/api/v1/deployments/{deployment_id}/finish
curl --request POST \
--url https://example.com/api/v1/deployments/example/finish \
--header 'Content-Type: application/json' \
--data '{ "status": "example", "error_message": "example", "log_chunk": "example" }'

Finish deployment and trigger automated server-side summary reconciliation.

deployment_id
required
Deployment Id
string
Media typeapplication/json
DeploymentFinishRequest

Finish deployment and persist final state.

object
status
required
Status

Succeeded|failed|cancelled

string
error_message
Any of:
string
log_chunk
Any of:
string
Examplegenerated
{
"status": "example",
"error_message": "example",
"log_chunk": "example"
}

Successful Response

Media typeapplication/json
DeploymentResponse

Deployment response.

object
id
required
Id
string
deployment_name
Any of:
string
environment_id
required
Environment Id
string
git_branch
required
Git Branch
string
git_commit_sha
required
Git Commit Sha
string
status
required
Status
string
job_run_id
required
Any of:
string
created_at
required
Created At
string
started_at
required
Any of:
string
completed_at
required
Any of:
string
initiated_by
Any of:
string
error_message
Any of:
string
Examplegenerated
{
"id": "example",
"deployment_name": "example",
"environment_id": "example",
"git_branch": "example",
"git_commit_sha": "example",
"status": "example",
"job_run_id": "example",
"created_at": "example",
"started_at": "example",
"completed_at": "example",
"initiated_by": "example",
"error_message": "example"
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}